function DateUtil() {
}


DateUtil.getFullYear = function(date) {
	return date.getFullYear();
}

DateUtil.getFullMonth = function(date) {
	return StringUtil.getNumberStartWithZero(date.getMonth() + 1, 2)
}

DateUtil.getFullDate = function(date) {
	return StringUtil.getNumberStartWithZero(date.getDate(), 2);
}

DateUtil.getFullHours = function(date) {
	return StringUtil.getNumberStartWithZero(date.getHours(), 2);
}

DateUtil.getFullMinutes = function(date) {
	return StringUtil.getNumberStartWithZero(date.getMinutes(), 2);
}

DateUtil.getFullSeconds = function(date) {
	return StringUtil.getNumberStartWithZero(date.getSeconds(), 2);
}


DateUtil.getYYYYMMDD = function(date) {
	// return date.toISOString().slice(0,10);
	return DateUtil.getFullYear(date) + "-"
		+ DateUtil.getFullMonth(date) + "-"
		+ DateUtil.getFullDate(date);
}

DateUtil.getHHMMSS = function(date) {
	return DateUtil.getFullHours(date) + ":"
		+ DateUtil.getFullMinutes(date) + ":"
		+ DateUtil.getFullSeconds(date);
}

DateUtil.printMonthDay = function(date) {
	// var dateTime = new Date(date);
	var a = date.split(" ");
	var d = a[0].split("-");
	var t = "0:0:0".split(":");
	if(a.count > 0)
		var t = a[1].split(":");
	var dateTime = new Date(d[0],(d[1]-1),d[2],t[0],t[1],t[2]);
	return DateUtil.getFullMonth(dateTime) + "월 " + DateUtil.getFullDate(dateTime) + "일";
}